%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name Console_Getargs

Name:           php-pear-Console-Getargs
Version:        1.3.5
Release:        1%{?dist}
Summary:        Command-line arguments and parameters parser
Summary(fr):    Analyseur des arguments et paramètres en ligne de commande

Group:          Development/Libraries
License:        PHP
URL:            http://pear.php.net/package/Console_Getargs
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source2:        xml2changelog

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
# For test suite
BuildRequires:  php-pear(pear.phpunit.de/PHPUnit)

Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}
Requires:       php-pear(PEAR)

%description
The Console_Getargs package implements a Command Line arguments and
parameters parser for your CLI applications. It performs some basic
arguments validation and automatically creates a formatted help text,
based on the given configuration.
 
%description -l fr
L'extension Console_Getargs fournit un analyseur des arguments et des
paramètres passés à vos applications sur la ligne de commande. 
Il réalise quelques validations simples des arguments et crée 
automatiquement un texte d'aide à partir de la configuration fournie.


%prep
%setup -c -q
%{_bindir}/php -n %{SOURCE2} package.xml | tee CHANGELOG | head -n 2

# Create a "localized" php.ini to avoid build warning
cp /etc/php.ini .
echo "date.timezone=UTC" >>php.ini

cd %{pear_name}-%{version}
# package.xml is V2
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf $RPM_BUILD_ROOT docdir
cd %{pear_name}-%{version}
PHPRC=../php.ini %{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Move documentation
mv $RPM_BUILD_ROOT%{pear_docdir}/%{pear_name} ../docdir

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%check
cd %{pear_name}-%{version}/tests
%{_bindir}/phpunit \
   -d date.timezone=UTC \
   -d include_path=$RPM_BUILD_ROOT%{pear_phpdir}:%{pear_phpdir} \
   AllTests.php


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc CHANGELOG docdir/examples
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Console/Getargs.php
%{pear_testdir}/%{pear_name}


%changelog
* Mon Oct 11 2010 Remi Collet <Fedora@FamilleCollet.com> 1.3.5-1
- upstream Version 1.3.5 (stable) - API 1.3.5 (stable)
- set timezone during build
- run phpunit test suite in %%check

* Sat Apr 17 2010 Remi Collet <Fedora@FamilleCollet.com> 1.3.4-4
- remove php (and httpd) dependency
- rename Console_Getargs.xml to php-pear-Console-Getargs.xml

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-3.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Aug 21 2007 Remi Collet <Fedora@FamilleCollet.com> 1.3.4-1.fc8.1
- bump release (missing sources)

* Tue Aug 21 2007 Remi Collet <Fedora@FamilleCollet.com> 1.3.4-1
- update to 1.3.4
- fix license and Remove file

* Tue Oct  7 2006 Remi Collet <Fedora@FamilleCollet.com> 1.3.3-1
- update to 1.3.3

* Wed Oct  4 2006 Remi Collet <Fedora@FamilleCollet.com> 1.3.2-1
- update to 1.3.2

* Thu Sep 28 2006 Remi Collet <Fedora@FamilleCollet.com> 1.3.1-1
- generated specfile (pear make-rpm-spec) + cleaning
- generated CHANGELOG
- add LICENSE, french summary and description
